//这是一个公共函数


// 移动端 后台快捷键
function mInitShortcut(){
    initShortcut('admin-shortcuts') ;
}

// 检测是否有cookie插件
function checkCookies(){
    return Cookies ? true : false ;
}

/**
 * 初始化快捷键  pc端口前台
 * @param name 本地存储name
 * @param isRemember 是否记住上次操作
 */
function initShortcut(name,isRemember){
    name = name || 'chat-shortcuts' ;

    isRemember = isRemember ||  true ;

    var shortcut = checkCookies() ? Cookies.get(name) : '' ;

    if( shortcut && isRemember ){
        $(".fuceng").find('.fuceng-li').each(function(){
            $(this).attr('type') == shortcut
                ? $(this).addClass('selected-li')
                : $(this).removeClass('selected-li');
        });
    }else{
        //默认发送
        var liObj =  $(".fuceng").find('.fuceng-li').last();
        checkCookies() && Cookies.set(name, liObj.attr('type'));
        $(liObj).addClass('selected-li').prev().removeClass('selected-li');
    }
}
